> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change User Pin

> Change pin for user controlled wallets

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /wallets/change-user-pin
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /wallets/change-user-pin:
    post:
      tags:
        - Wallets
      summary: Change User Pin
      description: Change pin for user controlled wallets
      operationId: wallets_change-user-pin
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeUserPinRequest'
            examples:
              Example1:
                value:
                  network: Polygon
                  address: '0x976Cf57B7EE1D84E73BE9115457889d49a8A1335'
                  old_user_pin: '123456'
                  new_user_pin: '654321'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeUserPinResponse'
              examples:
                Example1:
                  value:
                    success: true
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    ChangeUserPinRequest:
      title: ChangeUserPinRequest
      type: object
      properties:
        network:
          $ref: '#/components/schemas/Network'
        address:
          type: string
          example: '0x976Cf57B7EE1D84E73BE9115457889d49a8A1335'
        old_user_pin:
          $ref: '#/components/schemas/UserPin'
        new_user_pin:
          $ref: '#/components/schemas/UserPin'
      required:
        - network
        - address
        - old_user_pin
        - new_user_pin
    ChangeUserPinResponse:
      title: ChangeUserPinResponse
      type: object
      properties:
        success:
          type: boolean
          example: true
      required:
        - success
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    UserPin:
      title: UserPin
      type: string
      nullable: true
      description: >-
        A 6-digit numeric pin that is only known to the user, set during wallet
        creation. This pin is required to sign transactions from this wallet.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````